pop3k

Użytkownik forum
  • Content Count

    25
  • Joined

  • Last visited

About pop3k

  • Rank
    Początkujący

Recent Profile Visitors

The recent visitors block is disabled and is not being shown to other users.

  1. Słuchajcie, działa! zamiast "_SELECT" należy wpisać "_.pSELECT" Dzięki za pomoc! Jesteście MISTRZAMI
  2. VERNUM = "2019.11.06(51422)_Win32" (tylko do odczytu) testuję na 2 zaznaczeniach. Po usunięciu group.Delete widzę, że grupa tworzy się prawidłowo, można ją kliknąć. Ale to tylko pośrednie roziwązanie
  3. To u mnie polecenie _SELECT i wybraniu nawet ręcznie obiektów nie zmienia nic w oknie Właściwości. Ciągle jest "brak wyboru". Hmmm 😕
  4. Dla mnie kod piękny. Z tym, że komenda _select nie jest tym samym co lewy klik myszy na obiekt (nie pojawia się okienko właściwości do ewentualnych zmian).
  5. Witam, poszukuję informacji jak napisać kod w VBA, który zaznaczy mi bloki (zaznaczy tak, jakbym jeździł po modelu i klikał LPM dany blok) o określonej nazwie, które dodatkowo w swoim pierwszym atrybucie mają nazwę "pozycja". Da się coś takiego w ogóle zrobić? Czytałem gdzieś, że w ogóle nie ma możliwości zwykłego zaznaczenia obiektów poprzez VBA
  6. Funkcja przeliczPunkty(NAROZNIK As Variant) nie ma sensu, bo każdy pręt będzie miał swoje współrzędne. Ogólnie pomyślę o tym co napisałeś, dzięki za porady. Temat jeszcze nie jest zakończony, więc jeszcze się odezwę Jeżeli chodzi o moj przykład z kolekcją... zamiana ZcadPolyline na ZcadLWPolyline nie pomogła 😞
  7. Spróbowałem swoich sił na przykładzie kodu w Internecie. Najpierw dodałem Klasę w module o nazwie "Punkt" z kodem: Public X As Double Public Y As Double A swój kod zmodyfikowałem: Private Sub cmdTest_Click() frm_testmoj.Hide Dim NAROZNIK As Variant Dim p() As Double NAROZNIK = ThisDrawing.Utility.GetPoint(, "Podaj punkt początkowy:") Dim kolekcjaPunktow As Collection Set kolekcjaPunktow = New Collection Dim pretPunkt As Punkt Set pretPunkt = New Punkt pretPunkt.X = NAROZNIK(0) pretPunkt.Y = NAROZNIK(1) kolekcjaPunktow.Add pretPunkt Set pretPunkt = Nothing Set pretPunkt = New Pun
  8. Tak, poprzez tablice i spaghetti kod już to tworzę, jednak chciałem podnieść poprzeczkę, uporządkować kod i robić część rzeczy poprzez funkcje.
  9. Witam serdecznie, po moich pytaniach zostało mi wypomniany kod spaghetti. Chciałbym go poprawić. Prosiłbym o wsparcie przy napisaniu kodu, który będzie tworzył pręt zbrojeniowy. W kolejnych postach (po rozwiązaniu aktualnego problemu) będę dopytywać o kolejne operacje, jak opisywanie długości odcinków, zaokrąglanie. Przykład aktualnie użytego kodu: Private Sub cmdTest_Click() frm_test.Hide Dim NAROZNIK As Variant Dim p() As Double NAROZNIK = ThisDrawing.Utility.GetPoint(, "Podaj punkt początkowy:") ReDim p(7) As Double p(0) = NAROZNIK(0): p(1) = NAROZNIK(1) p(2) = NAROZNIK(0) +
  10. Dzięki za porady. Nie czuję się obyty z programowaniem, więc takie wyjaśnianie jest w punkt.
  11. Bomba, domyśliłem się, że nie zrobię tego w VBA. Choć miałem nadzieję, że istnieje jakaś dodatkowa biblioteka. Kupiłem 2 kursy na Udemy dla vb.net. Będzie trochę czasu (hehe, dobre), to usiądę do nauki. Podpowiedzcie tylko, która biblioteka (pod czym szukać w przyszłości) byłaby odpowiedzialna za samo rysowanie/szkicowanie w WPF (okienkach jak to perlon wykonał). Wiem, że w JavaScript jest Canvas. PS. projekt_forum.dll już raz przerabiałem. Szkoda, że temat nie jest kontynuowany. Na pewno wrócę jeszcze do niego przy nauce.
  12. Myślałem o tym, żeby zrobić takie aplikacje w czym innym. Znacie jakiś ciekawy kurs .Net VB dedykowany pod Autocada? A najlepiej pod Zwcada?
  13. Witam, robię aplikację VBA w ZWCad. Zastanawia mnie, czy jest możliwość szkicowania prostych obiektów podczas obsługi UserForm przez użytkownika. Dla przykładu otwieramy UserForm i do wpisania mamy 2 pola tekstowe: szerokość i wysokość prostokąta. Powyżej tych pól tekstowych mamy mały obszar ze szkicem, który pokazuje nam, jak ten prostokąt będzie wyglądał. Po każdorazowej zmianie jednego z pól zmieniają się proporcje prostokąta. Taki efekt osiągnąłem podczas pracy w JavaScript - Canvas.
  14. Ha! Trzeba było zobaczyć mój kod na początku. Staram się dzielić kod na mniejsze funkcje, zazwyczaj jednak przy rewizjach poprawiam strukturę kodu. Mało to profesjonalne, ale ja jestem amator. Do tego zachowuje też porządek w deklaracji zmiennych - wszystkie są na początku i czasem nawet uporządkowuję je alfabetycznie! Kod działa! Dziękuję bardzo! perlon jesteś Mistrzem!